<?php
/**
 * Checkout coupon form
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/checkout/form-coupon.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you (the theme developer).
 * will need to copy the new files to your theme to maintain compatibility. We try to do this.
 * as little as possible, but it does happen. When this occurs the version of the template file will.
 * be bumped and the readme will list any important changes.
 *
 * @see         http://docs.woothemes.com/document/template-structure/
 * @author      WooThemes
 * @package     WooCommerce/Templates
 * @version     3.4.4
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

if ( ! wc_coupons_enabled() ) {
	return;
}

if ( empty( WC()->cart->applied_coupons ) ) {
	$info_message = apply_filters( 'woocommerce_checkout_coupon_message', esc_html__( 'Have a coupon?', 'avenue' ) . ' <a href="#" class="showcoupon">' . esc_html__( 'Click here to enter your code', 'avenue' ) . '</a>' );
	wc_print_notice( $info_message, 'notice' );
}

?>

<form class="checkout_coupon" method="post" style="display:none">
	<div class="checkout-coupon">
		<input type="text" name="coupon_code" class="input-text checkout-coupon_it __round" placeholder="<?php esc_attr_e( 'Coupon code', 'avenue' ); ?>" id="coupon_code" value="" size="25"><button type="submit" name="apply_coupon" value="<?php esc_attr_e( 'Apply Coupon', 'avenue' ); ?>" class="checkout-coupon_btn"><?php esc_attr_e( 'Apply Coupon', 'avenue' ); ?></button>
	</div>
</form>
